org.apache.lucene.index

## Enum StoredFieldVisitor.Status

- java.lang.Object
- - java.lang.Enum<StoredFieldVisitor.Status>
  - - org.apache.lucene.index.StoredFieldVisitor.Status

- All Implemented Interfaces:
    Serializable, Comparable<StoredFieldVisitor.Status>
  Enclosing class:
    StoredFieldVisitor

      public static enum StoredFieldVisitor.Status
      extends Enum<StoredFieldVisitor.Status>

  Enumeration of possible return values for `StoredFieldVisitor.needsField(org.apache.lucene.index.FieldInfo)`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO` NO: don't visit this field, but continue processing fields for this document.
    `STOP` STOP: don't visit this field and stop processing any other fields for this document.
    `YES` YES: the field should be visited.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StoredFieldVisitor.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StoredFieldVisitor.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### YES

          public static final StoredFieldVisitor.Status YES

      YES: the field should be visited.

    - #### NO

          public static final StoredFieldVisitor.Status NO

      NO: don't visit this field, but continue processing fields for this document.

    - #### STOP

          public static final StoredFieldVisitor.Status STOP

      STOP: don't visit this field and stop processing any other fields for this document.

  - ### Method Detail

    - #### values

          public static StoredFieldVisitor.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StoredFieldVisitor.Status c : StoredFieldVisitor.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StoredFieldVisitor.Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.